kas stringtokey            AFS Commands         kas stringtokey


NAME

   kas stringtokey -- convert a character string into an octal

                       string.


   kas stringtokey  -string <password string>  [-cell <cell
   name>]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas str  -s <password string>  [-c <cell name>]  [-h]

DESCRIPTION

   Converts the character string password string into an  octal
   string  suitable  for  use  as  an  encryption key.  This is
   useful for showing what form a given password would take  in
   the cell.

   The   algorithm  that  the  Authentication  Server  uses  to
   generate keys combines password string with the cell's  name
   during the generation, so use of cell name allows the issuer
   to see what a string would look like when scrambled  into  a
   key in a certain cell.

ARGUMENTS

   -string         specifies the password-like character string
                   to be converted into a key.

   -cell           specifies  the  cell  name  to  be  used  in
                   converting  password  string into a key.  If
                   the issuer does not provide it, the  default
                   is  the cell in which the command is issued.
                   Provide a complete Internet-style name.

   -help           prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  4.3  in  the
                   Reference Manual for more details.

OUTPUT

   The output is of the form:

       Converting password string in realm 'cell name yield

EXAMPLE

   The  following shows a user in the Transarc Corporation cell
   deriving the octal key equivalent of the string "new_pswd".

       % kas str new_pswd
       Converting new_pswd in realm 'TRANSARC.COM' yields
           key='\255\364b\354\221s\235\313'.



PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   kas getrandomkey kas setkey
